Create SMS template

Creates a new SMS template for a specified customer and Tenant.

POST
/v2/manage/smstemplates

Creates a new SMS template for a specified customer and Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/v2/manage/smstemplates" \  -H "Content-Type: application/json" \  -d '{    "SmsTemplateType": "verification",    "Name": "Welcome Message",    "Template": "Welcome to our service, {{username}}!"  }'
{
  "SmsTemplateType": "verification",
  "Name": "Welcome Message",
  "Template": "Welcome to our service, {{username}}!"
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Message": "SMS template already exist.",
  "Description": "SMS template with the same name already exists, please use a unique name in order to process the request.",
  "ErrorCode": 7955
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}